List

List entitlements associated to merchant's customers. Only relevant for merchants offering digital products.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🔐

Authentication

✔️ Application API Scope

✔️ Storefront API Scope

Response Body Definitions

NameTypeDescriptionExample
merchantstringMerchant ID"ac4f7938383a11e89ecbbc764e1107f2"
public_idstringEntitlement ID"c4cd7f86ccc411e8ada3bc764e101db1"
merchant_user_idstringCustomer ID"11100-C01"
initial_activation_datestringInitial activation date (UTC)"2017-02-29T12:00:00.00Z"
latest_activation_datestringLatest activation date (UTC)"2017-02-29T12:00:00.00Z"
grace_periodstringGrace period in seconds86400
liveboolWhether the resource associated with this entitlement is accessible (considers grace_period)true
access_typestringEntitlement access type (enum)"time_based"
expirationstringEntitlement access expiration date (UTC)"2017-02-29T12:00:00.00Z"
createdstringDate of resource creation (UTC)"2017-02-29T12:00:00.00Z"
last_updatedstringDate of last resource update (UTC)"2017-02-29T12:00:00.00Z"
resourceobjectResource information (see Resource Object below){"name": "sample resource", ... }
granteesarrayList of grantees associated to the entitlement. null if there are none.[
{
"external_id": "grantee-001",
"name": "Grantee Name",
"created": "2017-02-29T12:00:00.00Z",
"updated": "2017-02-29T12:00:00.00Z"
},
...
]

Resource Object

NameTypeDescriptionExample
merchantstringMerchant ID"ac4f7938383a11e89ecbbc764e1107f2"
public_idstringResource ID"c4cd7f86ccc411e8ada3bc764e101db1"
namestringResource name"4k Resolution Movies"
external_resource_idstringMerchant resource ID"id1234"
descriptionstringResource description"Unlocks streaming of movies in 4K resolution"
image_urlstringResource image URL"ordergroove.com/resource/resource_id.png"
createdstringDate of resource creation (UTC)"2017-02-29T12:00:00.00Z"
last_updatedstringDate of last resource update (UTC)"2017-02-29T12:00:00.00Z"

Grantee Object

NameTypeDescriptionExample
external_idstringMerchant ID"grantee-001"
namestringResource ID"Grantee Name"
createddatetime stringDatetime of creation"2020-12-31 23:28:48"
updateddatetime stringDatetime of last update"2020-12-31 23:28:48"
Query Params
string
required

Merchant ID

string

Customer ID. If the request is made on behalf of a customer, only the entitlements tied to the calling customer are returned, regardless of the value provided in this field

string

Filters entitlements by a single resource public ID.

string

Filters entitlements to those associated with the specified resource public IDs. Provide a comma-separated list of resource public IDs. Cannot be used together with resource_public_id.

string

Merchant resource ID

boolean

Filters entitlements by whether their associated resources are accessible

string

Filters entitlements by resource name (case-insensitive match).

string

Filter entitlements by list of exact ids (returns entitlement if and only if every grantee passed in is present in the entitlement and no other grantees are present)
example: grantee_external_ids_exact=grantee_a,grantee_b returns entitlements with both grantee_a and grantee_b, but not entitlements with just grantee_a or entitlements that have grantee_a, grantee_b, but also grantee_c

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain